package space.kklochko.spring_rest_example.config;

import java.sql.Timestamp;
import java.util.List;
import java.util.UUID;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.converter.HttpMessageConverter;
import org.springframework.http.converter.json.MappingJackson2HttpMessageConverter;
import org.springframework.web.servlet.config.annotation.EnableWebMvc;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
import space.kklochko.spring_rest_example.models.Indicator;

@EnableWebMvc
@Configuration
@ComponentScan("space.kklochko")
public class WebConfig implements WebMvcConfigurer {
    @Override
    public void configureMessageConverters(List<HttpMessageConverter<?>> converters) {
        converters.add(new MappingJackson2HttpMessageConverter());
    }

    @Bean("indicator")
    public Indicator getIndicator() {
        UUID id = UUID.fromString("becbafac-702c-11ee-9113-c0e4349366ab");
        Timestamp timestamp = Timestamp.valueOf("2023-10-18 14:30:00");
        Indicator indicator = new Indicator(id, "Blood2", "Fine2", timestamp);
        return indicator;
    }
}
